Subject: FINAL REMINDER: USGv6 Version 2.0 Call For Community Input

From: Stephen Nightingale <[email-masked]>
Date: Thu, 09 Jun 2011 10:27:54 -0400

Final Reminder for input to the USGv6 revision process. Call for 
Comments closes tomorrow June 10, 2011.

Structure and Content of USGv6 Profile Version 2.0 will be the principal 
component of Monday's meeting at NIST.

Stephen Nightingale.
[email-masked]

On 5/13/2011 2:15 PM, Stephen Nightingale wrote:
> Original announcement at: http://www.antd.nist.gov/usgv6/index.html
> Together with the Comments spreadsheet, text of USGv6 version 1.0, and
> the testing documents.
> ======================
>
> USGv6 Version 2.0 Call For Community Input
>
> In response to OMB directives the National Institute of Standards and
> Technology (NIST) developed the initial versions of the USGv6 Profile
> and Testing Program. After multiple draft, public comment and revision
> cycles, version 1 of the USGv6 Profile was published in July 2008. The
> USGv6 Testing Program was developed in a similar fashion and became
> operational in November 2009.
>
> While the initial version of the profile and testing program defined the
> processes for evolving to future technical requirements and tests, to
> date the USGv6 program has chosen to favor stability of the
> specifications over yearly 'maintenance' updates. This approach allowed
> vendor products and the test program to mature to the point that we have
> multiple accredited test labs, a more complete set of standard test
> specifications and numerous products with USGv6 capabilities that have
> been tested for conformance and interoperability. This approach also
> facilitated the development of other initiatives and policies (e.g.,
> Federal Acquisition Regulations and new OMB USG IPv6 Adoption
> Directives) that leverage the USGv6 program.
>
> Having gained 2+ years of practical experience in the use of the USGv6
> program, and given the development of some new IETF specifications of
> particular significance to the USGv6 program, we feel it is time to
> develop version 2 of the USGv6 Profile. From the perspective of NIST
> there are several key issues that we would like to address in the next
> version of the profile, including:
>
>       Generalize the scope and applicability of the profile.
>
>           There is nothing inherently 'Governmental' about the profile or
> testing system, and we are aware of other user communities who have
> adopted aspects of the USGv6 program either by reference or duplication.
> We welcome broader use and adoption of the profile by groups outside the
> USG and solicit input from such organizations as to how we can structure
> version 2 of the profile to better suit their needs and/or actually
> produce a single joint profile.
>
>       Improve the utility of the profile as a tool for specifying
> procurement requirements.
>
>           The profile attempts to serve two audiences, purchasers and
> suppliers of IPv6 capabilities. Our experience to date is that the level
> of detail of version 1 of the profile might be a barrier to use by
> purchasers. We seek input from purchasers/users as to how to make the
> profile easier to use as a requirements check-list.
>
>       Revise the concept / terms of 'device type' to make it clear that
> the profile addresses the definition of sets of capabilities, from which
> many product configurations can be instantiated and specified.
>
>       Revise the profile testing sections to reflect the subsequent
> development of the Testing Program and its guidance documents.
>
>       Restructure the Network Protection Device section to better
> accommodate the typical composition of products in this space.
>
>       Review all IETF specifications cited in the profile to evaluate
> errata and revised specifications that might impact USGv6 requirements.
>
> Examples might include:
>           Adopting the new IKEv2bis specification RFC 5996.
>           Adopting the new OSPFbis specification RFC 5340.
>           Revisiting the status of the various cryptographic algorithms
> cited in version 1.
>
>       Review the status of NIST recommendations, in particular those
> capabilities marked SHOULD+ (S+) in version 1 of the profile, to
> evaluate which, if any, should advance to MUST (M).
>
>       Review the state of IETF specification and the industry to see if
> any new capabilities/specifications should be added to the profile that
> were not in version 1.
>
> The issues noted above capture some of our broad observations from 2
> years of experience in the development and operation of the USGv6
> program. We assume that the broader community also has similar input and
> observations that should be considered before developing the first draft
> of version 2. Thus NIST plans to pursue the development of version 2 of
> the USGv6 profile as follows:
>
>       Solicit community input and comment prior to the development of the
> 1st draft of USGV6-v2.
>           Use the current profile and testing system as the basis /
> reference for your comments.
>           Please submit comments using the provided spread sheet.
>           Completed comment sheets should be emailed to
> [email-masked] by COB June 10, 2011.
>
>       NIST will review all received input and formulate a draft version 2
> of the profile that will be distributed for public comment in September
> 2011.
>
>       NIST will review and address all comments received and publish the
> revised USGv6-V2 Profile before the end of 2011.
>
> Note that if a second public comment period is warranted, we would
> conduct it such that it would not extend the target date above. If you
> have any questions or comments about this process, please send them to:
> [email-masked].
>
> We look forward to your input and participation.
>
>
> _______________________________________________
> Nav6tf mailing list
> [email-masked]
> http://lists.ipv6forum.com/mailman/listinfo/nav6tf
>